scim::FunctionSlot4< R, P1, P2, P3, P4 > Class Template Reference
SignalSlot

A slot template for static functions taking four arguments of type P1, P2, P3 and P4, and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

| FunctionSlot4 (PF function)
virtual R | call (P1 p1, P2 p2, P3 p3, P4 p4) const
Public Member Functions inherited from scim::Slot4< R, P1, P2, P3, P4 >
R | operator() (P1 p1, P2 p2, P3 p3, P4 p4) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot4< R, P1, P2, P3, P4 >
| Slot4 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1, typename P2, typename P3, typename P4>
class scim::FunctionSlot4< R, P1, P2, P3, P4 >

A slot template for static functions taking four arguments of type P1, P2, P3 and P4, and returning a value of type R.

## Constructor & Destructor Documentation

## FunctionSlot4()

template<typename R, typename P1, typename P2, typename P3, typename P4>

scim::FunctionSlot4< R, P1, P2, P3, P4 >::FunctionSlot4 | ( | PF | function | ) |

inline

Construct a new function slot for a static function.

Parameters

  function | - static function with the signature R (*PF)(P1, P2, P3, P4).

## Member Function Documentation

## call()

template<typename R, typename P1, typename P2, typename P3, typename P4>

virtual R scim::FunctionSlot4< R, P1, P2, P3, P4 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4 ) const

inline virtual

Calls the function connected to this slot passing it arguments p1, p2, p3 and p4.

Returns
  a value of type R returned by the called function.

Implements scim::Slot4< R, P1, P2, P3, P4 >.

The documentation for this class was generated from the following file:

- scim_slot.h